Get the default location.
curl --request GET \
--url https://a.s2.dev/v1/locations/default \
--header 'Authorization: Bearer <token>'{
"is_private": true,
"name": "<string>",
"default_storage_class": "<string>",
"private_net": {
"aws": {
"service_name": "<string>",
"private_dns_name": "<string>"
}
},
"storage_classes": [
"<string>"
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}locations
Get the default location.
Get the default S2 location for new basins.
GET
/
locations
/
default
Get the default location.
curl --request GET \
--url https://a.s2.dev/v1/locations/default \
--header 'Authorization: Bearer <token>'{
"is_private": true,
"name": "<string>",
"default_storage_class": "<string>",
"private_net": {
"aws": {
"service_name": "<string>",
"private_dns_name": "<string>"
}
},
"storage_classes": [
"<string>"
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Basin location concepts
Review how locations affect basin placement, latency, and account defaults.
Authorizations
Response
Default storage class for this location.
Private networking details for the account in this location, which can differ between accounts. Omitted until the account has a basin in this location, and when the location cannot be reached over a private network.
Show child attributes
Show child attributes
Storage classes available to the account in this location.

